Get Network – Infra API – MediaKind
Get Network
Get https://app.mk.io/api/v1/projects/:project_name/infra/networks/:name
Get a network by name. To learn more about networks, read Network Concept.
RBAC Capability Required: infra.network.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| project_name | string | Yes | The name of the project. |
| name | string | Yes | The name of the network. |
Response
200 A single Network
| Property | Type | Required | Description |
|---|---|---|---|
| kind | string | Yes | The kind of record. |
| metadata | object | Yes | Network metadata. |
| created | string | No | The time when the resource was created. |
| createdBy | string | No | ID of the user who created the resource. |
| createdByEmail | string | No | Email of the user who created the resource. |
| displayName | string | No | The display name of the resource. |
| id | string | Yes | The ID of the resource. |
| labels | map | No | A dictionary of labels associated with the resource. |
| name | string | No | The name of the resource. |
| updated | string | No | The time when the resource was last updated. |
| updatedBy | string | No | ID of the user who last updated the resource. |
| updatedByEmail | string | No | Email of the user who last updated the resource. |
| spec | object | Yes | Network specification. |
| status | object | Yes | Network status. |
Status Properties
| Property | Type | Required | Description |
|---|---|---|---|
| owner | enum | Yes | Indicates whether the network was automatically created. |
| scope | enum | Yes | Indicates whether the network is a local network. |
Allowed values for owner
- User
- System
Allowed values for scope
- Connecting
- Local
Errors
400 Bad Request
| Property | Description |
|---|---|
| error | Required object [ErrorDetail] |
| code | Required string - The error code. |
| detail | Required string - The error message. |
| extraDetail | Optional map for extra information. |
| ref | Required string - Reference to the request |
| status | Required integer - The HTTP status code. |
401 Unauthorized
Same structure as above.
403 Forbidden
Same structure as above.
404 Not Found
Same structure as above.
429 Too Many Requests
Same structure as above.
500 Internal Server Error
Same structure as above.